# Uses of Interface
org.eclipse.emf.cdo.lm.assembly.AssemblyModule

Packages that use AssemblyModule
Package
Description
org.eclipse.emf.cdo.lm.assembly
The generated EMF API of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.impl
The generated EMF implementation of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.assembly.util
The generated EMF utilities of the CDO Lifecycle Management Assembly model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of AssemblyModule in org.eclipse.emf.cdo.lm.assembly

Fields in org.eclipse.emf.cdo.lm.assembly with type parameters of type AssemblyModule
Modifier and Type
Field
Description
`static final Comparator<AssemblyModule>`
AssemblyModule.`COMPARATOR`
Methods in org.eclipse.emf.cdo.lm.assembly that return AssemblyModule
Modifier and Type
Method
Description
`AssemblyModule`
AssemblyFactory.`createAssemblyModule()`
Returns a new object of class 'Module'.
`AssemblyModule`
Assembly.`getModule(String moduleName)`
`AssemblyModule`
Assembly.`getRootModule()`
Methods in org.eclipse.emf.cdo.lm.assembly that return types with arguments of type AssemblyModule
Modifier and Type
Method
Description
`EList<AssemblyModule>`
Assembly.`getModules()`
Returns the value of the 'Modules' containment reference list.
Methods in org.eclipse.emf.cdo.lm.assembly with parameters of type AssemblyModule
Modifier and Type
Method
Description
`void`
Assembly.DeltaHandler.`handleAddition(AssemblyModule newModule)`
`void`
Assembly.DeltaHandler.`handleModification(AssemblyModule oldModule, AssemblyModule newModule)`
`void`
Assembly.DeltaHandler.`handleRemoval(AssemblyModule oldModule)`
Method parameters in org.eclipse.emf.cdo.lm.assembly with type arguments of type AssemblyModule
Modifier and Type
Method
Description
`void`
Assembly.`forEachDependency(Consumer<AssemblyModule> consumer)`

## Uses of AssemblyModule in org.eclipse.emf.cdo.lm.assembly.impl

Classes in org.eclipse.emf.cdo.lm.assembly.impl that implement AssemblyModule
Modifier and Type
Class
Description
`class`
`AssemblyModuleImpl`
An implementation of the model object 'Module'.
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return AssemblyModule
Modifier and Type
Method
Description
`AssemblyModule`
AssemblyFactoryImpl.`createAssemblyModule()`
`AssemblyModule`
AssemblyImpl.`getModule(String moduleName)`
`AssemblyModule`
AssemblyImpl.`getRootModule()`
Methods in org.eclipse.emf.cdo.lm.assembly.impl that return types with arguments of type AssemblyModule
Modifier and Type
Method
Description
`EList<AssemblyModule>`
AssemblyImpl.`getModules()`
Methods in org.eclipse.emf.cdo.lm.assembly.impl with parameters of type AssemblyModule
Modifier and Type
Method
Description
`int`
AssemblyModuleImpl.`compareTo(AssemblyModule o)`
`static int`
AssemblyModuleImpl.`root(AssemblyModule module)`
Method parameters in org.eclipse.emf.cdo.lm.assembly.impl with type arguments of type AssemblyModule
Modifier and Type
Method
Description
`void`
AssemblyImpl.`forEachDependency(Consumer<AssemblyModule> consumer)`

## Uses of AssemblyModule in org.eclipse.emf.cdo.lm.assembly.util

Methods in org.eclipse.emf.cdo.lm.assembly.util with parameters of type AssemblyModule
Modifier and Type
Method
Description
`T`
AssemblySwitch.`caseAssemblyModule(AssemblyModule object)`
Returns the result of interpreting the object as an instance of 'Module'.

## Uses of AssemblyModule in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return AssemblyModule
Modifier and Type
Method
Description
`AssemblyModule`
IAssemblyDescriptor.`getModule(String name)`
`AssemblyModule[]`
IAssemblyDescriptor.`getModules(boolean withNewModules)`
Methods in org.eclipse.emf.cdo.lm.client that return types with arguments of type AssemblyModule
Modifier and Type
Method
Description
`Map<String,AssemblyModule>`
IAssemblyDescriptor.Updates.`getAdditions()`
`Map<String,AssemblyModule>`
IAssemblyDescriptor.Updates.`getModifications()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type AssemblyModule
Modifier and Type
Method
Description
`Baseline`
IAssemblyDescriptor.`getBaseline(AssemblyModule module)`